List virtual accounts
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/virtual-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/virtual-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/virtual-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "jqfwg345gi25n5ju2yz5iz6m",
"type": "<string>",
"tenantName": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"accountId": "<string>",
"manifest": {
"name": "<string>",
"type": "virtual-account",
"permissions": [
{
"resource_fqn": "<string>",
"resource_type": "<string>",
"role_id": "<string>"
}
],
"expiration_date": "<string>",
"auto_rotate": {
"auto_rotate_interval": 360,
"grace_period": 30
},
"notification_target": {
"type": "email",
"notification_channel": "<string>",
"to_emails": [
"<string>"
]
},
"secret_store_config": {
"integration_fqn": "<string>",
"secret_path": "<string>"
},
"ownedBy": {
"team": "<string>",
"account": "<string>"
},
"tags": {},
"identity_provider_mapping": [
{
"identity_provider": "<string>",
"value": "<string>"
}
]
},
"jwtId": "<string>",
"lastAccessedAt": "2023-11-07T05:31:56Z",
"isExpired": true,
"jwts": [
{
"id": "<string>",
"subjectType": "<string>",
"subjectId": "<string>",
"expiry": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"metadata": {},
"roleIds": [
"<string>"
],
"rolesWithResource": [
{
"roleId": "<string>",
"resourceId": "<string>",
"roleName": "<string>"
}
],
"createdBy": "<string>",
"nextScheduledRotation": "<string>"
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}Virtual Accounts
List virtual accounts
List virtual accounts accessible to the current user.
GET
/
api
/
svc
/
v1
/
virtual-accounts
List virtual accounts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Number of items per page
Required range:
1 <= x <= 1000Example:
10
Number of items to skip
Required range:
x >= 0Example:
0
Return virtual accounts with names that contain this string.
Example:
"staging-bot"
Comma-separated team names. Return virtual accounts owned by these teams.
Example:
"ml-team,infra-team"
Filter by expiration status. true = expired only, false = not expired only.
JSON string: structured filter tree (AND/OR groups, column leaves on name, json_map leaves on manifest.tags).
Example:
"{\"type\":\"AND\",\"children\":[{\"column\":\"name\",\"op\":\"STRING_CONTAINS\",\"value\":\"bot\"}]}"
Was this page helpful?
⌘I